org.apache.kylin.jdbc.json

## Class TableMetaStub.ColumnMetaStub

- java.lang.Object
- - org.apache.kylin.jdbc.json.TableMetaStub.ColumnMetaStub

Enclosing class:
  TableMetaStub

    public static class TableMetaStub.ColumnMetaStub
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TableMetaStub.ColumnMetaStub()`

### Method Summary

Methods
`int` `getBUFFER_LENGTH()`
`int` `getCHAR_OCTET_LENGTH()`
`String` `getCOLUMN_DEF()`
`String` `getCOLUMN_NAME()`
`int` `getCOLUMN_SIZE()`
`int` `getDATA_TYPE()`
`int` `getDECIMAL_DIGITS()`
`String` `getIS_AUTOINCREMENT()`
`String` `getIS_NULLABLE()`
`int` `getNULLABLE()`
`int` `getNUM_PREC_RADIX()`
`int` `getORDINAL_POSITION()`
`String` `getREMARKS()`
`String` `getSCOPE_CATLOG()`
`String` `getSCOPE_SCHEMA()`
`String` `getSCOPE_TABLE()`
`short` `getSOURCE_DATA_TYPE()`
`int` `getSQL_DATA_TYPE()`
`int` `getSQL_DATETIME_SUB()`
`String` `getTABLE_CAT()`
`String` `getTABLE_NAME()`
`String` `getTABLE_SCHEM()`
`String` `getTYPE_NAME()`
`void` `setBUFFER_LENGTH(int bUFFER_LENGTH)`
`void` `setCHAR_OCTET_LENGTH(int cHAR_OCTET_LENGTH)`
`void` `setCOLUMN_DEF(String cOLUMN_DEF)`
`void` `setCOLUMN_NAME(String cOLUMN_NAME)`
`void` `setCOLUMN_SIZE(int cOLUMN_SIZE)`
`void` `setDATA_TYPE(int dATA_TYPE)`
`void` `setDECIMAL_DIGITS(int dECIMAL_DIGITS)`
`void` `setIS_AUTOINCREMENT(String iS_AUTOINCREMENT)`
`void` `setIS_NULLABLE(String iS_NULLABLE)`
`void` `setNULLABLE(int nULLABLE)`
`void` `setNUM_PREC_RADIX(int nUM_PREC_RADIX)`
`void` `setORDINAL_POSITION(int oRDINAL_POSITION)`
`void` `setREMARKS(String rEMARKS)`
`void` `setSCOPE_CATLOG(String sCOPE_CATLOG)`
`void` `setSCOPE_SCHEMA(String sCOPE_SCHEMA)`
`void` `setSCOPE_TABLE(String sCOPE_TABLE)`
`void` `setSOURCE_DATA_TYPE(short sOURCE_DATA_TYPE)`
`void` `setSQL_DATA_TYPE(int sQL_DATA_TYPE)`
`void` `setSQL_DATETIME_SUB(int sQL_DATETIME_SUB)`
`void` `setTABLE_CAT(String tABLE_CAT)`
`void` `setTABLE_NAME(String tABLE_NAME)`
`void` `setTABLE_SCHEM(String tABLE_SCHEM)`
`void` `setTYPE_NAME(String tYPE_NAME)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableMetaStub.ColumnMetaStub

    public TableMetaStub.ColumnMetaStub()

### Method Detail

#### getTABLE_CAT

    public String getTABLE_CAT()

#### setTABLE_CAT

    public void setTABLE_CAT(String tABLE_CAT)

#### getTABLE_SCHEM

    public String getTABLE_SCHEM()

#### setTABLE_SCHEM

    public void setTABLE_SCHEM(String tABLE_SCHEM)

#### getTABLE_NAME

    public String getTABLE_NAME()

#### setTABLE_NAME

    public void setTABLE_NAME(String tABLE_NAME)

#### getCOLUMN_NAME

    public String getCOLUMN_NAME()

#### setCOLUMN_NAME

    public void setCOLUMN_NAME(String cOLUMN_NAME)

#### getDATA_TYPE

    public int getDATA_TYPE()

#### setDATA_TYPE

    public void setDATA_TYPE(int dATA_TYPE)

#### getTYPE_NAME

    public String getTYPE_NAME()

#### setTYPE_NAME

    public void setTYPE_NAME(String tYPE_NAME)

#### getCOLUMN_SIZE

    public int getCOLUMN_SIZE()

#### setCOLUMN_SIZE

    public void setCOLUMN_SIZE(int cOLUMN_SIZE)

#### getBUFFER_LENGTH

    public int getBUFFER_LENGTH()

#### setBUFFER_LENGTH

    public void setBUFFER_LENGTH(int bUFFER_LENGTH)

#### getDECIMAL_DIGITS

    public int getDECIMAL_DIGITS()

#### setDECIMAL_DIGITS

    public void setDECIMAL_DIGITS(int dECIMAL_DIGITS)

#### getNUM_PREC_RADIX

    public int getNUM_PREC_RADIX()

#### setNUM_PREC_RADIX

    public void setNUM_PREC_RADIX(int nUM_PREC_RADIX)

#### getNULLABLE

    public int getNULLABLE()

#### setNULLABLE

    public void setNULLABLE(int nULLABLE)

#### getREMARKS

    public String getREMARKS()

#### setREMARKS

    public void setREMARKS(String rEMARKS)

#### getCOLUMN_DEF

    public String getCOLUMN_DEF()

#### setCOLUMN_DEF

    public void setCOLUMN_DEF(String cOLUMN_DEF)

#### getSQL_DATA_TYPE

    public int getSQL_DATA_TYPE()

#### setSQL_DATA_TYPE

    public void setSQL_DATA_TYPE(int sQL_DATA_TYPE)

#### getSQL_DATETIME_SUB

    public int getSQL_DATETIME_SUB()

#### setSQL_DATETIME_SUB

    public void setSQL_DATETIME_SUB(int sQL_DATETIME_SUB)

#### getCHAR_OCTET_LENGTH

    public int getCHAR_OCTET_LENGTH()

#### setCHAR_OCTET_LENGTH

    public void setCHAR_OCTET_LENGTH(int cHAR_OCTET_LENGTH)

#### getORDINAL_POSITION

    public int getORDINAL_POSITION()

#### setORDINAL_POSITION

    public void setORDINAL_POSITION(int oRDINAL_POSITION)

#### getIS_NULLABLE

    public String getIS_NULLABLE()

#### setIS_NULLABLE

    public void setIS_NULLABLE(String iS_NULLABLE)

#### getSCOPE_CATLOG

    public String getSCOPE_CATLOG()

#### setSCOPE_CATLOG

    public void setSCOPE_CATLOG(String sCOPE_CATLOG)

#### getSCOPE_SCHEMA

    public String getSCOPE_SCHEMA()

#### setSCOPE_SCHEMA

    public void setSCOPE_SCHEMA(String sCOPE_SCHEMA)

#### getSCOPE_TABLE

    public String getSCOPE_TABLE()

#### setSCOPE_TABLE

    public void setSCOPE_TABLE(String sCOPE_TABLE)

#### getSOURCE_DATA_TYPE

    public short getSOURCE_DATA_TYPE()

#### setSOURCE_DATA_TYPE

    public void setSOURCE_DATA_TYPE(short sOURCE_DATA_TYPE)

#### getIS_AUTOINCREMENT

    public String getIS_AUTOINCREMENT()

#### setIS_AUTOINCREMENT

    public void setIS_AUTOINCREMENT(String iS_AUTOINCREMENT)